Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
instances
/
{instance_id}
/
alerts
[Alerts] List instance alerts
curl --request GET \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/alerts \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "alert_rule": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "alert_rule_name": "<string>",
      "instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "instance_name": "<string>",
      "triggered_value": "<string>",
      "triggered_at": "2023-11-07T05:31:56Z",
      "notification_sent": true,
      "notification_sent_at": "2023-11-07T05:31:56Z",
      "created": "2023-11-07T05:31:56Z",
      "modified": "2023-11-07T05:31:56Z",
      "status": "active",
      "resolved_at": "2023-11-07T05:31:56Z",
      "acknowledged_at": "2023-11-07T05:31:56Z",
      "acknowledged_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

instance_id
string
required

Instance ID

organization_id
string
required

Organization ID

project_id
string
required

Project ID

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"